This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 238081 - gedit syntax highlighting doesn't seem to support RPM specfiles
gedit syntax highlighting doesn't seem to support RPM specfiles
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-26 19:37 EDT by Dave Malcolm
Modified: 2008-01-08 08:22 EST (History)
0 users

See Also:
Fixed In Version: gedit-2.18.2-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-08 08:22:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2007-04-26 19:37:31 EDT
I'm trying to use gedit to edit a specfile, but everything is black-and-white

Version-Release number of selected component (if applicable):
gedit-2.15.9-1.fc6

Steps to Reproduce:
1.  Open a specfile in gedit (extension is ".spec", though nautilus reports its
mimetype as "text/plain")
2.  click menu: Edit->Preferences
3.  click "Syntax Highlighting" tab, and review "Highlight mode" combo

Actual results:
(i) Specfile appears without syntax highlighting
(ii) Highlight Mode combo doesn't contain "RPM Specfile" as an option

Expected results:
(i) Specfile should be syntax highlighted
(ii) Highlight Mode combo should contain "RPM Specfile" as an option
Comment 1 Till Maas 2008-01-08 08:22:27 EST
This bug is fixed in Fedora 7, older releases are not supported anymore. Please
upgrade, unless you already did.

Note You need to log in before you can comment on or make changes to this bug.